$(function () {
    var $facultySelect = $('#facultySelect');
    var $gradeSelect = $('#gradeSelect');
    var $groupSelect = $('#groupSelect');
    var $inputGroupSubmit = $('#inputGroupSubmit');
    var $searchResults = $('#search_results');

    $facultySelect.find('[value="0"]').attr('selected', 'selected');
    $gradeSelect.find('[value="0"]').attr('selected', 'selected');
    $groupSelect.find('[value="0"]').attr('selected', 'selected');
    $gradeSelect.attr('disabled', 'disabled');
    $groupSelect.attr('disabled', 'disabled');
    $inputGroupSubmit.attr('disabled', 'disabled');

    // Выбор факультета
    $facultySelect.change(function () {
        if (($facultySelect.find('option:selected').val() != '0')) {
            $searchResults.html('');
            $gradeSelect.removeAttr('disabled');
            $groupSelect.attr('disabled', 'disabled');
            $groupSelect.html('<option value="0">— Учебная группа —</option>');
        } else {
            $gradeSelect.attr('disabled', 'disabled');
            $groupSelect.attr('disabled', 'disabled');
        }
    });

    // Выбор курса
    $gradeSelect.change(function () {
        $searchResults.html('');
        $groupSelect.attr('disabled', 'disabled');
        $groupSelect.html('<option value="0">— Учебная группа —</option>');

        if (($gradeSelect.find('option:selected').val() != '0')) {
            $.post(URLdir + 'handler/admStudents/getGroups', {
                'facultyID': $facultySelect.find('option:selected').val(),
                'gradeNum': $gradeSelect.find('option:selected').val()
            }, function (data) {
                $.each(data, function (i) {
                    $groupSelect.append('<optgroup label="' + data[i].SpecName + '">');
                    $.each(data[i].Groups, function (j) {
                        $groupSelect.append('<option value="' + data[i].Groups[j].ID + '">' + data[i].Groups[j].Num + ' группа</option>');
                    });
                    $groupSelect.append('</optgroup>');
                });
                $groupSelect.removeAttr('disabled');
            }, 'json');
        }
    });

    // Выбор группы
    $groupSelect.change(function () {
        if (($groupSelect.find('option:selected').val() != '0')) {
            $inputGroupSubmit.removeAttr('disabled');
        }
    });

    $inputGroupSubmit.click(function () {
        $inputGroupSubmit.attr('disabled', 'disabled');

        $.post(URLdir + 'handler/admStudents/create', {
            'firstName': $('#firstName').val(),
            'secondName': $('#secondName').val(),
            'lastName': $('#lastName').val(),
            'gradeNum': $gradeSelect.find('option:selected').val(),
            'groupNum': $groupSelect.find('option:selected').val(),
            'facultyID': $facultySelect.find('option:selected').val()
        }, function (data) {
            if (data.error) {
                $('.error_message').show();
                $('.success_message').hide();
                $('.success_code').html('');
            } else {
                $('.error_message').hide();
                $('.success_message').show();
                $('.success_code').html(data.code);
            }

            $inputGroupSubmit.removeAttr('disabled');
        }, 'json');
    });
});
